aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJeremy Katz <katzj@redhat.com>2003-12-06 00:22:54 +0000
committerJeremy Katz <katzj@redhat.com>2003-12-06 00:22:54 +0000
commitd7e186f28a2e248454c71b26b788ab71a306536f (patch)
treea070b3935f17d06eb22988e1b1404488e8d572d1
parent3acdc941ae79df18373a04e21fd88e7c3e126536 (diff)
downloadinitscripts-d7e186f28a2e248454c71b26b788ab71a306536f.tar
initscripts-d7e186f28a2e248454c71b26b788ab71a306536f.tar.gz
initscripts-d7e186f28a2e248454c71b26b788ab71a306536f.tar.bz2
initscripts-d7e186f28a2e248454c71b26b788ab71a306536f.tar.xz
initscripts-d7e186f28a2e248454c71b26b788ab71a306536f.zip
basic lvm2 support
-rw-r--r--initscripts.spec5
-rwxr-xr-xrc.d/rc.sysinit15
2 files changed, 19 insertions, 1 deletions
diff --git a/initscripts.spec b/initscripts.spec
index f5352694..66e3ea9d 100644
--- a/initscripts.spec
+++ b/initscripts.spec
@@ -1,6 +1,6 @@
Summary: The inittab file and the /etc/init.d scripts.
Name: initscripts
-Version: 7.42
+Version: 7.43
License: GPL
Group: System Environment/Base
Release: 1
@@ -249,6 +249,9 @@ rm -rf $RPM_BUILD_ROOT
%ghost %attr(0664,root,utmp) /var/run/utmp
%changelog
+* Fri Dec 5 2003 Jeremy Katz <katzj@redhat.com> 7.43-1
+- basic lvm2 support
+
* Tue Oct 28 2003 Bill Nottingham <notting@redhat.com> 7.42-1
- show rhgb details on service failures
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index f6814010..63ca7681 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -341,6 +341,17 @@ state=`awk '/ \/ / && ($3 !~ /rootfs/) { print $4 }' /proc/mounts`
[ "$state" != "rw" ] && \
action $"Remounting root filesystem in read-write mode: " mount -n -o remount,rw /
+# LVM2 initialization
+if [ -d /etc/lvm/ -a -x /sbin/lvm ]; then
+ if ! LC_ALL=C fgrep -q "device-mapper" /proc/devices 2>/dev/null ; then
+ modprobe dm-mod >/dev/null 2>&1
+ fi
+ /bin/rm -f /dev/mapper/control
+ echo "mkdmnod" | /sbin/nash --quiet >/dev/null 2>&1
+ if [ -e /dev/mapper/control -a -x /sbin/lvm ]; then
+ action $"Setting up Logical Volume Management:" /sbin/lvm vgscan --mknodes && /sbin/lvm vgchange -a y
+ fi
+fi
# LVM initialization
if [ -f /etc/lvmtab ]; then
[ -e /proc/lvm ] || modprobe lvm-mod > /dev/null 2>&1
@@ -511,6 +522,10 @@ if [ -f /etc/raidtab ]; then
echo $"Automatic reboot in progress."
reboot -f
fi
+ # LVM2 initialization, take 2
+ if [ -f /dev/mapper/control -a -x /sbin/lvm -a -d /etc/lvm ]; then
+ action $"Setting up Logical Volume Management:" /sbin/lvm vgscan --mknodes && /sbin/lvm vgchange -a y
+ fi
# LVM initialization, take 2 (it could be on top of RAID)
if [ -e /proc/lvm -a -x /sbin/vgchange -a -f /etc/lvmtab ]; then
action $"Setting up Logical Volume Management:" /sbin/vgscan && /sbin/vgchange -a y